Subject: RE: [netlmm] IPv4 Support in PMIPv6

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Fri, 2 Feb 2007 18:52:44 -0500

Hi Vidya,

Please see my opinions inline...

-Kuntal

> -----Original Message-----
> From: Narayanan, Vidya [mailto:[email-masked]]
> Sent: Thursday, February 01, 2007 3:54 AM
> To: [email-masked]
> Subject: [netlmm] IPv4 Support in PMIPv6
> 
> 
> This is not a topic raised in any of the reviews, but, I'd like to get
a
> discussion going on this topic to see what we should do here.
> 
> There are two aspects of IPv4 support that I'd like folks to comment
on
> - IPv4 MN support and use of IPv4 data tunnels.
> 
> Support for IPv4 MNs -
> 
> One important problem to be addressed is the case of IPv4 MNs being
> supported in the PMIP domain. It should be possible to register an
IPv4
> address with the LMA using PMIPv6 - this requires the regular home
> address in the BU to be set to 0 (or some such value) and send the
IPv4
> address alone using extensions defined in DS-MIP6. I think this is
> really crucial to support IPv4 MNs in the short term. In this case, we
> need to discuss the addressing model, since the prefix-per-MN model is
> not viable for IPv4.
> 
[KC>] I agree that this is an important feature to support in PMIP6. It
is already supported in the current version of our I-D.

> Support for IPv4 data tunnels -
> 
> The other aspect of this is where the PMA and LMA are dual-stacked
> (supporting PMIP6), while the larger part of the infrastructure is
still
> IPv4. The PMIP6 signaling itself in that case will be carried in IPv4
> (potentially), but, to force an IPv4-in-IPv6-in-IPv4 data tunnel seems
> wasteful (too much unnecessary overhead). It seems relatively
> straightforward to allow the data tunnel to just be IPv4 in that case
> (extensions defined for DS-MIP6 should already allow this). This will
> allow the access network to largely still remain IPv4, while the PMA
> alone is dual-stacked. In this case, the CoA will basically be an IPv4
> address.
> 
[KC>] Support for IPv4 transport w/ PMIP6 is also important. I think we
should include this detail in the next revision of the I-D.

> Thoughts?
> 
> Vidya
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm